<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.superdesk.uniorder.dao.mapper.unified.TempDaideMapper">
	<resultMap id="BaseResultMap" type="cn.superdesk.uniorder.dao.entity.unified.TempDaide">
		<id column="id" property="id" jdbcType="BIGINT"/>
	</resultMap>
	<select id="findAll" resultMap="BaseResultMap">
  	select id from temp_daide 
  </select>
	<delete id="deleteByPrimaryKey" parameterType="java.lang.Long">
    delete from temp_daide
    where id = #{id,jdbcType=BIGINT}
  </delete>
	<insert id="insert" parameterType="cn.superdesk.uniorder.dao.entity.unified.TempDaide">
    
    insert into temp_daide (id)
    values (#{id,jdbcType=BIGINT})
  </insert>
	<insert id="insertSelective" parameterType="cn.superdesk.uniorder.dao.entity.unified.TempDaide">
		<selectKey resultType="java.lang.Long" keyProperty="id" order="AFTER">
			SELECT LAST_INSERT_ID()
		</selectKey>
		insert into temp_daide
		<trim prefix="(" suffix=")" suffixOverrides=","/>
		<trim prefix="values (" suffix=")" suffixOverrides=","/>
	</insert>
</mapper>